ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <>
Subject Re: JDK 1.4, -target option and retaled build problem
Date Tue, 21 May 2002 09:42:07 GMT
On Tue, 21 May 2002, Magesh Umasankar <> wrote:

> PS: Yes, I know jikes 1.15 is considered buggy compared to
> 1.14, but if I use 1.14 or 1.13, I get the following error and
> therefore, it becomes infeasible for me to use it...

I've only seen that if I mix classes compiled with jikes and classes
compiled with javac.  Make sure you've set both, JAVAC and
build.compiler before running bootstrap.

+1 on using jikes for the beta2 release.  The alternative would be an
incremental build: use JDK 1.3 and just compile the 1.4 specific
classes with 1.4.

Anyway, don't forget to document the steps necessary to reproduce the
distribution build 8-).


To unsubscribe, e-mail:   <>
For additional commands, e-mail: <>

View raw message